/* Animation Styles */
@keyframes blink {

	0%,
	100% {
		opacity: 1;
	}

	50% {
		opacity: 0.3;
	}
}

#blink-text {
	animation: blink 3s infinite;
	/* 3s duration, infinite loop */
}



@keyframes fadeIn {
	0% {
		opacity: 0;
		transform: translateY(20px);
	}

	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

#animated-text {
	animation: fadeIn 1.5s ease-in-out;
	/* Adjust the duration and timing function as needed */
}

@keyframes zoomInUp {
	0% {
		transform: scale(0.5) translateY(100%);
		opacity: 0;
	}

	100% {
		transform: scale(1) translateY(0);
		opacity: 1;
	}
}

#animated-text1 {
	animation: zoomInUp 1.5s ease-in-out;
	/* Adjust the duration and timing function as needed */
}

@keyframes fadeLeft {
	0% {
		opacity: 0;
		transform: translateX(-20px);
	}

	100% {
		opacity: 1;
		transform: translateX(0);
	}
}

#fade-left-text {
	animation: fadeLeft 3.5s ease-in-out;
}

@keyframes fadeUpText {
	0% {
		opacity: 0;
		transform: translateY(20px);
	}

	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

#fade-up-text {
	animation: fadeUpText 3.5s ease-in-out;
}


@keyframes flipLeft {
	0% {
		transform: perspective(400px) rotateY(90deg);
		opacity: 0;
	}

	100% {
		transform: perspective(400px) rotateY(0deg);
		opacity: 1;
	}
}

#flip-left-text {
	animation: flipLeft 1.5s ease-in-out;
}

@keyframes fadeRightText {
	0% {
		opacity: 0;
		transform: translateX(-20px);
	}

	100% {
		opacity: 1;
		transform: translateX(0);
	}
}

#fade-right-text {
	animation: fadeRightText 3.5s ease-in-out;
}



@keyframes flipRight {
	0% {
		transform: perspective(400px) rotateY(-90deg);
		opacity: 0;
	}

	100% {
		transform: perspective(400px) rotateY(0deg);
		opacity: 1;
	}
}

#flip-right-text {
	animation: flipRight 1.5s ease-in-out;
}

@keyframes fadeDownLeft {
	0% {
		opacity: 0;
		transform: translateX(-20px) translateY(20px);
	}

	100% {
		opacity: 1;
		transform: translateX(0) translateY(0);
	}
}

#fade-down-left-text {
	animation: fadeDownLeft 1.5s ease-in-out;
}



@keyframes zoomInRight {
	0% {
		transform: scale(0.5) translateX(20px);
		opacity: 0;
	}

	100% {
		transform: scale(1) translateX(0);
		opacity: 1;
	}
}

#zoom-in-right-text {
	animation: zoomInRight 1.5s ease-in-out;
}

@keyframes zoomInLeft {
	0% {
		transform: scale(0.5) translateX(-20px);
		opacity: 0;
	}

	100% {
		transform: scale(1) translateX(0);
		opacity: 1;
	}
}

#zoom-in-left-text {
	animation: zoomInLeft 1.5s ease-in-out;
}

@keyframes slideUp {
	0% {
		transform: translateY(20px);
		opacity: 0;
	}

	100% {
		transform: translateY(0);
		opacity: 1;
	}
}

#slide-up-text {
	animation: slideUp 1.5s ease-in-out;
}


@keyframes flipUp {
	0% {
		transform: perspective(400px) rotateX(90deg);
		opacity: 0;
	}

	100% {
		transform: perspective(400px) rotateX(0deg);
		opacity: 1;
	}
}

#flip-up-text {
	animation: flipUp 1.5s ease-in-out;
}


@keyframes zoomInDown {
	0% {
		transform: scale(0.5) translateY(-20px);
		opacity: 0;
	}

	100% {
		transform: scale(1) translateY(0);
		opacity: 1;
	}
}

#zoom-in-down-text {
	animation: zoomInDown 1.5s ease-in-out;
}


@keyframes fadeDownRight {
	0% {
		opacity: 0;
		transform: translateX(20px) translateY(20px);
	}

	100% {
		opacity: 1;
		transform: translateX(0) translateY(0);
	}
}

#fade-down-right-text {
	animation: fadeDownRight 1.5s ease-in-out;
}


@keyframes slideLeft {
	0% {
		transform: translateX(20px);
		opacity: 0;
	}

	100% {
		transform: translateX(0);
		opacity: 1;
	}
}

#slide-left-text {
	animation: slideLeft 1.5s ease-in-out;
}


@keyframes slideRight {
	0% {
		transform: translateX(-20px);
		opacity: 0;
	}

	100% {
		transform: translateX(0);
		opacity: 1;
	}
}

#slide-right-text {
	animation: slideRight 1.5s ease-in-out;
}


@keyframes flipDown {
	0% {
		transform: perspective(400px) rotateX(-90deg);
		opacity: 0;
	}

	100% {
		transform: perspective(400px) rotateX(0deg);
		opacity: 1;
	}
}

#flip-down-text {
	animation: flipDown 1.5s ease-in-out;
}

@keyframes flipUp {
	0% {
		transform: perspective(400px) rotateX(90deg);
		opacity: 0;
	}

	100% {
		transform: perspective(400px) rotateX(0deg);
		opacity: 1;
	}
}

#flip-up-text {
	animation: flipUp 1.5s ease-in-out;
}

@keyframes heart-beat-text {
	0% {
		transform: scale(1, 1);
	}

	50% {
		transform: scale(1.03, 1.03);
	}

	0% {
		transform: scale(1, 1);
	}
}

#heart-beat-text {
	animation: heart-beat-text 1.5s;
	animation-iteration-count: infinite;
}
